﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;


using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Audio;

namespace Colto1 {
    class CoinBoard {
        Level1 parent;
        public List<int> results = new List<int>();
        Texture2D badCoin;
        Texture2D goodCoin;
        public Vector2 position = new Vector2(650, 70);
        public CoinBoard(Level1 parent) {
            this.parent = parent;
        }

        public void LoadContent(ContentManager manager) {
            badCoin = manager.Load<Texture2D>("coin");
            goodCoin = manager.Load<Texture2D>("coin_active");
        }

        public void Update() {

        }

        public void Draw(SpriteBatch batch) {
            float step = parent.location.Height*0.7f / 7.0f;
            if (results.Count() > 5) {
                step = parent.location.Height / (results.Count + 2);
            }
            for (int i = 0; i < results.Count(); i++) {
                Rectangle place = new Rectangle(
                         (int)(parent.location.Width * 0.03f),
                         (int)(parent.location.Height*0.8f) - (int)((i) * step),
                         (int)(0.9*step),
                         (int)(0.9*step)                    
                    );
                if (results[i] == 1) {
                    batch.Draw(goodCoin, place, Color.White);
                } else {
                    batch.Draw(badCoin, place, Color.White);
                }
            }
        }
    }
}
